Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StorePaymentPurposePremiumGiftCodes

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorePaymentPurpose
it.tdlight.jni.TdApi.StorePaymentPurposePremiumGiftCodes

Enclosing class:
  TdApi

public static final class TdApi.StorePaymentPurposePremiumGiftCodes extends TdApi.StorePaymentPurpose
The user creating Telegram Premium gift codes for other users.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`amount`
Paid amount, in the smallest units of the currency.
`long`
`boostedChatId`
Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`currency`
ISO 4217 currency code of the payment currency.
`long[]`
`userIds`
Identifiers of the users which can activate the gift codes.

## Constructor Summary

Constructors
Constructor
Description
`StorePaymentPurposePremiumGiftCodes()`
The user creating Telegram Premium gift codes for other users.
`StorePaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds)`
The user creating Telegram Premium gift codes for other users.
`StorePaymentPurposePremiumGiftCodes(DataInput input)`
The user creating Telegram Premium gift codes for other users.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### boostedChatId

public long boostedChatId
Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.

### currency

public String currency
ISO 4217 currency code of the payment currency.

### amount

public long amount
Paid amount, in the smallest units of the currency.

### userIds

public long[] userIds
Identifiers of the users which can activate the gift codes.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StorePaymentPurposePremiumGiftCodes

public StorePaymentPurposePremiumGiftCodes()
The user creating Telegram Premium gift codes for other users.

### StorePaymentPurposePremiumGiftCodes

public StorePaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds)
The user creating Telegram Premium gift codes for other users.

Parameters:
  `boostedChatId` - Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.
  `currency` - ISO 4217 currency code of the payment currency.
  `amount` - Paid amount, in the smallest units of the currency.
  `userIds` - Identifiers of the users which can activate the gift codes.

### StorePaymentPurposePremiumGiftCodes

public StorePaymentPurposePremiumGiftCodes(DataInput input) throws IOException
The user creating Telegram Premium gift codes for other users.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`